#
# spec file for package k9copy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           k9copy
Summary:        DVD backup utility
Version:        3.0.3
Release:        pm152.15.5
Url:            http://sourceforge.net/projects/k9copy-reloaded/
Source0:        k9copy-%{version}.tar.gz
Patch0:         k9copy-desktop_files.patch
Patch1:         k9copy-dvdread.patch
Patch5:         k9copy-ffmpeg.patch
Patch2:         k9copy-installdirs.patch
Patch3:         k9copy.gcc.patch
Patch4:         k9copy.cmake.patch
License:        GPL-2.0
Group:          Productivity/Multimedia/CD/Record  
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(libxine) >= 1.2
BuildRequires:  kdelibs4support
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(x11)
BuildRequires:  extra-cmake-modules
Requires:       dvd+rw-tools
Requires:       dvdauthor
Requires:       vamps
Recommends:     MPlayer
Recommends:     ffmpeg
Recommends:     genisoimage
Recommends:     k3b
Recommends:     libdvdcss2
Recommends:     wodim

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

%lang_package

%prep
%autosetup -p1 -n k9copy

%build
rm -rf src/libdvdnav-NOW src/libdvdread-NOW
CXXFLAGS='%optflags -Wno-unused-variable -Wno-unused-but-set-variable -Wno-deprecated-declarations -Wno-unused-parameter'
%cmake_kf5 -d build -- -DQT5_BUILD=ON
find -type f -print0 | sort -z | xargs -0n2 grep -nl KF5::Auth | xargs --verbose --no-run-if-empty sed -i~~ 's@-lKF5::Auth@@'

%install
pushd build
%make_jobs install DESTDIR=%{buildroot}
popd
%find_lang k9copy --without-kde

%files
%license COPYING
%{_kf5_bindir}/*
%{_kf5_htmldir}
%{_kf5_iconsdir}
%{_kf5_kxmlguidir}
%{_kf5_sharedir}/applications
%{_kf5_sharedir}/k9copy
%{_kf5_sharedir}/solid

%files lang -f k9copy.lang

%changelog
* Sun May 10 2020 olaf@aepfle.de
- Link to latest ffmpeg
- Link to system libdvdnav and libdvdread
* Wed Mar 15 2017 olaf@aepfle.de
- Build with default compiler
- Remove obsolete kde4 part from spec file
- Build and install in install section to avoid double build
* Sun Aug 21 2016 joerg.lorenzen@ki.tng.de
- Force build with gcc5 for openSUSE > 13.2.
* Tue Dec 29 2015 joerg.lorenzen@ki.tng.de
- Use pkgconfig() and cmake() for several BuildRequires.
* Wed Dec  9 2015 joerg.lorenzen@ki.tng.de
- Build against kf5 and qt5 for Leap.
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Mon Aug 31 2015 joerg.lorenzen@ki.tng.de
- Fixed patch k9copy-desktop_files.patch.
* Sun Apr 19 2015 joerg.lorenzen@ki.tng.de
- Update to version 3.0.3:
  - Unfortunately no real changelog in source package.
  - Build against kf5 ant qt5 for openSUSE > 13.2.
* Wed Aug 13 2014 joerg.lorenzen@ki.tng.de
- New upstream release <2.9.6> from http://sourceforge.net/projects/k9copy-reloaded/.
- Continued development of k9copy.
- Major Changes: Builds with FFmpeg 2.0 development branch.
* Thu May 31 2012 Manfred.Tremmel@iiv.de
- ffmpeg calls are outdated, compile against ffmpeg_oldabi
* Fri Apr 13 2012 toddrme2178@gmail.com  
- new upstream release <2.3.8>
- remove ffmpeg patch since it is included upstream
* Sun May 29 2011 Manfred.Tremmel@iiv.de
- included a patch to compile against new ffmpeg abi
* Tue Apr 26 2011 detlef@links2linux.de
- new upstream release <2.3.7>
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- Require dvdauthor0_6 until a new upstream version has adapted to the CLI changes in dvdauthor 0.7.x
* Sat Aug 14 2010 detlef@links2linux.de
- new upstream release <2.3.6>
* Thu Feb 11 2010 detlef@links2linux.de
- new upstream release <2.3.5>
* Fri Dec 11 2009 detlef@links2linux.de
- new upstream release <2.3.4>
* Thu Nov  5 2009 detlef@links2linux.de
- new upstream release <2.3.3>
* Sun Apr  5 2009 pascal.bleser@opensuse.org
- update to 2.3.1:
  * many improvements in the main window
  * added new settings (programs and output paths)
- changed desktop category to AudioVideoEditing
- minor spec file cleanups
* Fri Mar 13 2009 pascal.bleser@opensuse.org
- update to 2.3.0:
  * temporary files are deleted again
  * added file save dialogs in the destination page of the wizard
  * added possibility to choose the preferred language for subtitles and audio
  * added a column in the wizard's title list for the length of the title
  * added possibility to select a cropping region before running encoding
    (need to reset codecs in k9copy settings)
  * fixed video rescaling with mencoder
* Sat Feb 21 2009 detlef@links2linux.de
- new upstream release <2.2.0>
* Sat Dec 27 2008 detlef@links2linux.de
- rebuild with new libdvdread
* Fri Oct 31 2008 detlef@links2linux.de
- new upstream release <2.1.0>
  * backup assistant
  * better kde integration (device notifier)
  * inclusion of libdvdread to avoid crashes
  * many bug fixes and optimizations
* Sat Jun 28 2008 detlef@links2linux.de
- new upstream release <2.0.2>
* Sat Jun 14 2008 detlef@links2linux.de
- new upstream release <2.0.1>
* Wed Apr 30 2008 detlef@links2linux.de
- new upstream release <2.0.0>
* Sun Jan 20 2008 detlef@links2linux.de
- new upstream release <1.2.3>
* Sun Dec 30 2007 detlef@links2linux.de
- new upstream release <1.2.2>
* Fri Dec  7 2007 detlef@links2linux.de
- new upstream release <1.2.1>
* Thu Nov  1 2007 detlef@links2linux.de
- new upstream release <1.2.0>
* Fri Aug 17 2007 detlef@links2linux.de
- new upstream release <1.1.3>
* Sat Aug  4 2007 detlef@links2linux.de
- new upstream release <1.1.2>
* Mon Apr  2 2007 detlef@links2linux.de
- new upstream version <1.1.1-3>
* Fri Mar 30 2007 detlef@links2linux.de
- new upstream version <1.1.1-2>
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream version <1.1.1>
* Sun Dec 10 2006 detlef@links2linux.de
- readd libdvdread.patch
* Tue Oct 10 2006 detlef@links2linux.de
- new upstream version
* Fri Apr 28 2006 detlef@links2linux.de
- new upstream version
* Sat Apr 15 2006 detlef@links2linux.de
- new upstream version
* Wed Dec 21 2005 detlef@links2linux.de
- update to 1.0.2
* Thu Nov  3 2005 detlef@links2linux.de
- update to 1.0.1
- don't install k3b-libs
* Mon Oct 31 2005 detlef@links2linux.de
- first build for packman
